Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.impl.matchers
Class NotMatcher<T extends Key<?>>

    java.lang.Object
      org.quartz.impl.matchers.NotMatcher<T>

All Implemented Interfaces:
  Serializable, Matcher<T>

    public class NotMatcher<T extends Key<?>>

extends Object
implements Matcher<T>

Matches using an NOT operator on another Matcher.

Author:
  jhouse
See Also:
  Serialized Form

Field Summary
`protected Matcher<T>` | `operand`

Constructor Summary
`protected` | `NotMatcher(Matcher<T> operand)`

Method Summary
`boolean` | `equals(Object obj)`
`Matcher<T>` | `getOperand()`
`int` | `hashCode()`
`boolean` | `isMatch(T key)`
`static
`<U extends Key<?>> NotMatcher<U>`
` | `not(Matcher<U> operand)` Create a NotMatcher that reverses the result of the given matcher.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### operand

    protected Matcher<T extends Key<?>> operand

Constructor Detail

### NotMatcher

    protected NotMatcher(Matcher<T> operand)

Method Detail

### not

    public static <U extends Key<?>> NotMatcher<U> not(Matcher<U> operand)

  Create a NotMatcher that reverses the result of the given matcher.

### isMatch

    public boolean isMatch(T key)

  Specified by:
    `isMatch` in interface `Matcher<T extends Key<?>>`

### getOperand

    public Matcher<T> getOperand()

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Matcher<T extends Key<?>>`
  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Specified by:
    `equals` in interface `Matcher<T extends Key<?>>`
  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2016, Terracotta, Inc.